API dox: adapt kapidox & ecm_add_qch settings to new deprecation macros

GIT_SILENT
parent b12b9193
### KApiDox Project-specific Overrides File
# define so that deprecated API is not skipped
PREDEFINED += \
"KWAYLANDCLIENT_ENABLE_DEPRECATED_SINCE(x, y)=1" \
"KWAYLANDCLIENT_BUILD_DEPRECATED_SINCE(x, y)=1" \
"KWAYLANDCLIENT_DEPRECATED_VERSION(x, y, t)=" \
"KWAYLANDSERVER_ENABLE_DEPRECATED_SINCE(x, y)=1" \
"KWAYLANDSERVER_BUILD_DEPRECATED_SINCE(x, y)=1" \
"KWAYLANDSERVER_DEPRECATED_VERSION(x, y, t)="
......@@ -40,9 +40,11 @@ if(BUILD_QCH)
KWAYLANDCLIENT_EXPORT
KWAYLANDCLIENT_DEPRECATED
KWAYLANDCLIENT_DEPRECATED_EXPORT
"KWAYLANDCLIENT_DEPRECATED_VERSION(x, y, t)"
KWAYLANDSERVER_EXPORT
KWAYLANDSERVER_DEPRECATED
KWAYLANDSERVER_DEPRECATED_EXPORT
"KWAYLANDSERVER_DEPRECATED_VERSION(x, y, t)"
TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
COMPONENT Devel
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment